# LocVars (Luaj API)
Date: 2015-04-29

## org.luaj.vm2
Class LocVars

    java.lang.Object
      org.luaj.vm2.LocVars

    public class LocVars

extends java.lang.Object

Data class to hold debug information relating to local variables for a `Prototype`

Field Summary
`int` `endpc` The instruction offset when the variable goes out of scope
`int` `startpc` The instruction offset when the variable comes into scope
`LuaString` `varname` The local variable name

Constructor Summary
`LocVars(LuaString varname, int startpc, int endpc)` Construct a LocVars instance.

Method Summary
`java.lang.String` `tojstring()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### varname

    public LuaString varname

  The local variable name

### startpc

    public int startpc

  The instruction offset when the variable comes into scope

### endpc

    public int endpc

  The instruction offset when the variable goes out of scope

Constructor Detail

### LocVars

    public LocVars(LuaString varname,
                   int startpc,
                   int endpc)

  Construct a LocVars instance.

  Parameters:
    `varname` - The local variable name
    `startpc` - The instruction offset when the variable comes into scope
    `endpc` - The instruction offset when the variable goes out of scope

Method Detail

### tojstring

    public java.lang.String tojstring()

Copyright © 2007-2015 Luaj.org. All Rights Reserved.